<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://thymeleaf.org/extras/spring-security">
<head>
    <meta charset="utf-8"/>
    <title>Home</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
</head>
<body>
<div class="container">
    <div class="row">
        <div class="col-6">
            <a href="/bidList/list">Bid List</a>&nbsp;|&nbsp;
            <a href="/curvePoint/list">Curve Points</a>&nbsp;|&nbsp;
            <a href="/rating/list">Ratings</a>&nbsp;|&nbsp;
            <a href="/trade/list">Trade</a>&nbsp;|&nbsp;
            <a href="/ruleName/list">Rule</a>
        </div>
        <div class="col-6 text-right">
            <h2>Logged in user: <span class="text-info" th:text="*{login} "></span><span class="text-info"
                                                                                         th:text="*{#request.userPrincipal.name}"></span>
            </h2>
            <a th:href="@{/logout}" class="btn btn-warning" >Logout</a>
        </div>
    </div>
    <div class="row"><h2>Curve Point List</h2></div>
    <div class="row">
        <div class="col">
            <a href="/curvePoint/add" class="btn btn-primary btn-sm">Add New</a>
            <table class="table table-bordered">
                <thead>
                <tr>
                    <th>Id</th>
                    <th>CurvePointId</th>
                    <th>Term</th>
                    <th>Value</th>
                    <th>Action</th>
                </tr>
                </thead>
                <tbody>
                <tr th:each="tempCurvePoint : ${curvePointList}">
                    <td th:text="${tempCurvePoint.id}"/>
                    <td th:text="${tempCurvePoint.curveId}"/>
                    <td th:text="${tempCurvePoint.term}"/>
                    <td th:text="${tempCurvePoint.value}"/>
                    <td class="text-center">
                        <a th:href="@{/curvePoint/update/{id}(id=${tempCurvePoint.id})}"
                           class="btn btn-primary">Update</a>
                        <a th:href="@{/curvePoint/delete/{id}(id=${tempCurvePoint.id})}"
                           class="btn btn-danger">Delete</a>
                    </td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>
</body>
</html>